"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const stackTrace_1 = require("./stackTrace");
const nextHandler = (...handlers) => async (command) => {
    const commandHandlers = [];
    for (const handler of handlers) {
        // eslint-disable-next-line no-await-in-loop
        commandHandlers.push(await handler(command));
    }
    return async (...args) => {
        for (const handler of commandHandlers) {
            // eslint-disable-next-line
            await handler(...args);
        }
    };
};
const create = (...handlers) => (0, stackTrace_1.create)(nextHandler(...handlers));
exports.create = create;
/* jscpd:ignore-end */
